View Single Post
Old 03-25-12, 02:59 PM   #16
coggy_
Registered User
 
Join Date: Feb 2012
Posts: 9
Default Re: VDPAU troubles on a GT 430

Quote:
Originally Posted by tuke81 View Post
Hmm symlinks seems to be fine(not sure are they really, ubuntu mess them very often). It looks like you have installed drivers directly from nvidia.com, not from x-swat ppa.

You could try install packages libvdpau1(probably this), vainfo and vdpau-va-driver(vdpau to va-api wrapper). And see if that help(check what vainfo says and if it gives you VAprofiles for different fileformats you can use vlc with hw acceleration).
Even though 3D acceleration works fine and XFree86-DRI is loaded according to Xorg.0.log, I get the following output from vainfo:

Code:
libva: libva version 0.31.1
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/nvidia_drv_video.so
vainfo: vdpau_driver.c:189: vdpau_do_Initialize: Assertion `vdp_status == VDP_STATUS_OK' failed.
coggy_ is offline   Reply With Quote